{
    "$graph": [
        {
            "label": "kmer_top_identification",
            "class": "CommandLineTool",
            "baseCommand": "kmer_top_identification",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-N"
                    },
                    "id": "#kmer_top_identification.cwl/N"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-distances"
                    },
                    "id": "#kmer_top_identification.cwl/distances"
                },
                {
                    "type": "string",
                    "default": "matches.mft",
                    "inputBinding": {
                        "prefix": "-omatches"
                    },
                    "id": "#kmer_top_identification.cwl/omatches"
                },
                {
                    "type": "string",
                    "default": "top_distances.xml",
                    "inputBinding": {
                        "prefix": "-oxml"
                    },
                    "id": "#kmer_top_identification.cwl/oxml"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-threshold"
                    },
                    "id": "#kmer_top_identification.cwl/threshold"
                }
            ],
            "id": "#kmer_top_identification.cwl",
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "${\n    List<File> fileList new ArrayList<>();\n    File manifests = new File(inputs.omatches);\n    manifests.open(\"r\");\n    while (!manifests.eof) {\n        // read each line of text\n        var str;\n        str = file.readln();\n        if ( str[0] == '#' ) continue; \n        fileList.add(new File(str));\n    }\n    file.close();\n    return fileList;\n}\n"
                    },
                    "id": "#kmer_top_identification.cwl/matches"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.oxml)"
                    },
                    "id": "#kmer_top_identification.cwl/top_distances"
                }
            ]
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/distances"
                },
                {
                    "type": "File",
                    "id": "#main/kmer_cache_sqlite"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/kmer_top_identification/matches",
                    "id": "#main/matches"
                },
                {
                    "type": "File",
                    "outputSource": "#main/kmer_top_identification/top_distances",
                    "id": "#main/top_distances"
                }
            ],
            "steps": [
                {
                    "run": "#kmer_top_identification.cwl",
                    "in": [
                        {
                            "default": 20,
                            "id": "#main/kmer_top_identification/N"
                        },
                        {
                            "source": "#main/distances",
                            "id": "#main/kmer_top_identification/distances"
                        },
                        {
                            "default": 0.8,
                            "id": "#main/kmer_top_identification/threshold"
                        }
                    ],
                    "out": [
                        "#main/kmer_top_identification/top_distances",
                        "#main/kmer_top_identification/matches"
                    ],
                    "id": "#main/kmer_top_identification"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
